#
# spec file for package perl-URI (Version 1.15)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-MIME-Base64
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-MIME-Base64 ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-URI
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     perl_uri
Obsoletes:    perl_uri
Requires:     perl-MIME-Base64
Autoreqprov:  on
Summary:      Perl interface for URI objects
Version:      1.15
Release:      30
Source:       URI-%{version}.tar.bz2
Patch:	      URI-%{version}.diff
BuildRoot:    %{_tmppath}/%{name}-build

%description
Perl interface for URI objects

Authors:
--------
    Gisle Aas <gisle@aas.no>

SuSE series: perl

%prep
%setup -n URI-%{version}
%patch

%build
perl Makefile.PL
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-URI
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/URI
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%doc %{_mandir}/man3/*
%doc Changes MANIFEST README rfc2396.txt
%{perl_sitearch}/../URI.pm
%{perl_sitearch}/../URI
%{perl_sitearch}/auto/URI
/var/adm/perl-modules/perl-URI

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog -n perl-URI
* Wed Aug 15 2001 - rvasice@suse.cz
- update to version 1.15
* Wed Mar 14 2001 - cihlar@suse.cz
- update to version 1.11
* Tue Nov 14 2000 - cihlar@suse.cz
- renamed perl_uri -> perl-URI
* Tue Aug 22 2000 - cihlar@suse.cz
- update to 1.09
- bzipped sources
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Fri Mar 31 2000 - cihlar@suse.cz
- added BuildRoot
- added manpages to files
* Fri Mar 17 2000 - ug@suse.de
- build for IMap Server CD
